Package org.apache.jmeter.util

# Class ColorHelper

java.lang.Object
org.apache.jmeter.util.ColorHelper

public final class ColorHelper extends Object
This class contains the static utility methods to manipulate colors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Color`
  `changeColorCyclicIncrement(Color col, int inc)`
  Given the `Color`, get the red, green and blue components.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### changeColorCyclicIncrement

    public static Color changeColorCyclicIncrement(Color col, int inc)
    Given the `Color`, get the red, green and blue components. Increment the lowest of the components by the indicated increment value. If all the components are the same value increment in the order of red, green and blue.
    Parameters:
      `col` - `Color` to start with
      `inc` - value to increment the color components
    Returns:
      the color after change